cURL
curl --request PUT \ --url https://api.staging-2tid4c.ezyshield.com.au/management/v1/admin-keys/{adminKey} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>" } '
{ "data": { "id": "<string>", "type": "api-keys", "attributes": { "name": "<string>", "abilities": [ "<string>" ], "created_at": "2023-11-07T05:31:56Z", "last_used_at": "2023-11-07T05:31:56Z", "expires_at": "2023-11-07T05:31:56Z", "token": "<string>" }, "relationships": { "creator": { "data": { "type": "users", "id": "<string>" } } } }, "included": [ { "id": "<string>", "type": "users", "attributes": { "name": "<string>", "email": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } } ] }
Requires the admin_key:write ability.
admin_key:write
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The admin key prefixed id
The API key ID
The name of the API key.
255
ApiKeyResource
Show child attributes